# -*- rpm-spec -*-

# Default to skipping autoreconf.  Distros can change just this one line
# (or provide a command-line override) if they backport any patches that
# touch configure.ac or Makefile.am.
%{!?enable_autotools:%define enable_autotools 0}

Summary: Tethered shooting & control of digital cameras
Name: entangle
Version: 0.7.1
Release: 3%{?dist}%{?extra_release}
License: GPLv3+
Group: Applications/Multimedia
Source: http://entangle-photo.org/download/sources/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://entangle-photo.org/

BuildRequires: glib2-devel >= 2.36.0
BuildRequires: gtk3-devel >= 3.6
BuildRequires: libgphoto2-devel >= 2.4.11
BuildRequires: libgudev1-devel >= 145
BuildRequires: dbus-glib-devel >= 0.60
BuildRequires: lcms2-devel >= 2.0
BuildRequires: gobject-introspection-devel
BuildRequires: libpeas-devel >= 1.2.0
BuildRequires: libgexiv2-devel >= 0.2.2
BuildRequires: intltool
BuildRequires: libX11-devel
BuildRequires: libXext-devel >= 1.3.0
BuildRequires: LibRaw-devel >= 0.9.0
BuildRequires: itstool
BuildRequires: gtk-doc
%if 0%{?enable_autotools}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gettext-devel
BuildRequires: libtool
%endif

BuildRequires: gnome-icon-theme-symbolic
Requires: gnome-icon-theme-symbolic
Requires: libpeas-loader-python3%{?_isa}

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Entangle is an application which uses GTK and libgphoto2 to provide a
graphical interface for tethered photography with digital cameras.

It includes control over camera shooting and configuration settings
and 'hands off' shooting directly from the controlling computer.

%prep
%setup -q

%build

%if 0%{?enable_autotools}
autoreconf -if
%endif
%configure --disable-schemas-compile
make %{?_smp_mflags} V=1

%install
rm -fr %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT
rm -rf %{buildroot}%{_datadir}/%{name}/website
%find_lang %{name}

rm -f %{buildroot}%{_libdir}/libentangle_backend.so
rm -f %{buildroot}%{_libdir}/libentangle_backend.la
rm -f %{buildroot}%{_libdir}/libentangle_frontend.so
rm -f %{buildroot}%{_libdir}/libentangle_frontend.la

%clean
rm -fr %{buildroot}

%post
update-desktop-database %{_datadir}/applications
glib-compile-schemas /usr/share/glib-2.0/schemas ||:
touch -c %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
	/usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor || :
fi

%postun
update-desktop-database %{_datadir}/applications
glib-compile-schemas /usr/share/glib-2.0/schemas ||:
touch -c %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
	/usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING AUTHORS NEWS ChangeLog
%{_bindir}/entangle
%{_mandir}/man1/entangle.1*

%{_libdir}/libentangle_backend.so.0
%{_libdir}/libentangle_backend.so.0.0.0
%{_libdir}/libentangle_frontend.so.0
%{_libdir}/libentangle_frontend.so.0.0.0

%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins

%{_datadir}/%{name}/%{name}-camera-manager.ui
%{_datadir}/%{name}/%{name}-camera-picker.ui
%{_datadir}/%{name}/%{name}-camera-support.ui
%{_datadir}/%{name}/%{name}-help-about.ui
%{_datadir}/%{name}/%{name}-image-popup.ui
%{_datadir}/%{name}/%{name}-preferences-display.ui

%{_datadir}/icons/hicolor/*/apps/entangle.png
%{_datadir}/icons/hicolor/*/apps/entangle-*.png
%{_datadir}/icons/hicolor/scalable/apps/entangle.svg

%dir %{_datadir}/help/C/entangle/
%{_datadir}/help/C/entangle/*.page
%{_datadir}/help/C/entangle/*.xml
%dir %{_datadir}/help/C/entangle/figures
%{_datadir}/help/C/entangle/figures/*.png

%dir %{_libdir}/%{name}/plugins/photobox
%dir %{_datadir}/%{name}/plugins/photobox
%dir %{_datadir}/%{name}/plugins/photobox/schemas
%{_libdir}/%{name}/plugins/photobox/photobox.plugin
%{_libdir}/%{name}/plugins/photobox/photobox.py*
%{_datadir}/%{name}/plugins/photobox/schemas/gschemas.compiled
%{_datadir}/%{name}/plugins/photobox/schemas/org.entangle-photo.plugins.photobox.gschema.xml

%dir %{_libdir}/%{name}/plugins/shooter
%dir %{_datadir}/%{name}/plugins/shooter
%dir %{_datadir}/%{name}/plugins/shooter/schemas
%{_libdir}/%{name}/plugins/shooter/shooter.plugin
%{_libdir}/%{name}/plugins/shooter/shooter.py*
%{_datadir}/%{name}/plugins/shooter/schemas/gschemas.compiled
%{_datadir}/%{name}/plugins/shooter/schemas/org.entangle-photo.plugins.shooter.gschema.xml

%{_datadir}/%{name}/sRGB.icc
%{_datadir}/gtk-doc/html/Entangle
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/glib-2.0/schemas/org.entangle-photo.manager.gschema.xml
%{_datadir}/gir-1.0/Entangle-0.1.gir
%{_libdir}/girepository-1.0/Entangle-0.1.typelib

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Dec 27 2016 Jon Ciesla <limburgher@gmail.com> - 0.7.1-2
- Rebuild for new LibRaw.

* Sun Feb 21 2016 Daniel P. Berrange <berrange@redhat.com> - 0.7.1-1
- Update to 0.7.1 release

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Aug 20 2015 Jon Ciesla <limburgher@gmail.com> - 0.7.0-4
- Rebuild for new LibRaw.

* Sat Jul 04 2015 Kalev Lember <klember@redhat.com> - 0.7.0-3
- Require libpeas-loader-python3 for Python 3 plugin support (#1226879)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 17 2015 Daniel P. Berrange <berrange@redhat.com> - 0.7.0-1
- Update to 0.7.0 release

* Thu Feb  5 2015 Daniel P. Berrange <berrange@redhat.com> - 0.6.1-1
- Update to 0.6.1 release

* Wed Jan 21 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.6.0-5
- Rebuild (libgpohoto2)

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 0.6.0-3
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May  2 2014 Daniel P. Berrange <berrange@redhat.com> - 0.6.0-1
- Update to 0.6.0 release

* Mon Apr  7 2014 Daniel P. Berrange <berrange@redhat.com> - 0.5.4-3
- Fix crash in GtkApplication startup with GTK >= 3.12

* Wed Jan 22 2014 Daniel P. Berrange <berrange@redhat.com> - 0.5.4-2
- Rebuild for new LibRaw

* Sun Dec 15 2013 Daniel P. Berrange <berrange@redhat.com> - 0.5.4-1
- Update to 0.5.4 release

* Fri Aug 30 2013 Daniel P. Berrange <berrange@redhat.com> - 0.5.3-2
- Fix leak loading thumbnails from raw files

* Wed Aug 28 2013 Daniel P. Berrange <berrange@redhat.com> - 0.5.3-1
- Update to 0.5.3 release

* Sat Aug 17 2013 Daniel P. Berrange <berrange@redhat.com> - 0.5.2-1
- Update to 0.5.2 release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 31 2013 Jon Ciesla <limburgher@gmail.com> - 0.5.1-3
- Rebuild for new LibRaw.

* Mon May 20 2013 Daniel P. Berrange <berrange@redhat.com> - 0.5.1-2
- Rebuild for ABI breakage in libgexiv2

* Tue Mar 12 2013 Daniel P Berrange <berrange@acer1810.home.berrange.com> - 0.5.1-1
- Update to 0.5.1 release

* Thu Feb 21 2013 Daniel P Berrange <berrange@acer1810.home.berrange.com> - 0.5.0-3
- Fix crash with libgphoto >= 2.5 (rhbz #865819)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec 16 2012 Daniel P. Berrange <berrange@redhat.com> - 0.5.0-1
- Update to 0.5.0 release

* Thu Sep  6 2012 Daniel P. Berrange <berrange@redhat.com> - 0.4.1-1
- Update to 0.4.1 release

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jul 13 2012 Daniel P. Berrange <berrange@redhat.com> - 0.4.0-2
- Rebuild for libgphoto2 ABI break

* Sun Jul  8 2012 Daniel P. Berrange <berrange@redhat.com> - 0.4.0-1
- Update to 0.4.0 release

* Thu May 03 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.3-2
- rebuild (exiv2)

* Wed Apr 25 2012 Daniel P Berrange <berrange@redhat.com> - 0.3.3-1
- Update to 0.3.3 release

* Wed Apr 11 2012 Nils Philippsen <nils@redhat.com> - 0.3.2-2
- rebuilt for new libgexiv2

* Tue Apr  3 2012 Daniel P Berrange <berrange@redhat.com> - 0.3.2-1
- Update to 0.3.2 release
- Add BR on intltool
- Disable -Werror

* Tue Apr 03 2012 Kalev Lember <kalevlember@gmail.com> - 0.3.1-2
- Rebuilt for libgexiv2 soname bump

* Mon Feb 13 2012 Daniel P. Berrange <berrange@redhat.com> - 0.3.1-1%{?extra_release}
- Update to 0.3.1 release

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Daniel P. Berrange <berrange@redhat.com> - 0.3.0-1
- Update to 0.3.0 release

* Tue Jun 28 2011 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-6
- Fix crash when disconnecting from camera

* Mon Jun 27 2011 Daniel P Berrange <berrange@acer1810.home.berrange.com> - 0.2.0-5
- Temporarily disable introspection/plugins since it now requires to GTK3

* Fri Feb 11 2011 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-4
- Fix build with sealed GTK

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov  8 2010 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-2
- Fix crash when camera has no control widgets (rhbz #628163)

* Wed Oct  6 2010 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-1
- Update to 0.2.0 release

* Tue Jul 13 2010 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-7
- Fix gir repo version for GPhoto hack

* Mon Jul 12 2010 Colin Walters <walters@verbum.org> - 0.1.0-6
- Drop gir-repository-devel, it's dead in f14 and introspection should
  be in the relevant libraries
- Rebuild against new gobject-introspection

* Mon Jun  7 2010 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-4
- Fix crash in udev handler with NULL properties (rhbz #600759)

* Fri Apr  9 2010 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-2
- Remove redundant website content from RPM

* Thu Apr  8 2010 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-1
- Initial release
